Bug Hunting Session
Bug 71179 - Java VM launch should be deferred at the extension starting, not at menu registration
Summary: Java VM launch should be deferred at the extension starting, not at menu regi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: MediaWiki
  Show dependency treegraph
 
Reported: 2013-11-03 08:58 UTC by Jean-Baptiste Faure
Modified: 2019-08-12 20:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace to track JVM starter (13.07 KB, text/plain)
2013-11-03 08:58 UTC, Jean-Baptiste Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2013-11-03 08:58:06 UTC
Created attachment 88549 [details]
backtrace to track JVM starter

Java extensions like Wiki-Publisher modifies the file menu in Writer by adding the sub-entry "To MediaWiki" in the Send entry.
It seems that the update of this menu at the starting of Writer (even with an empty document) starts a Java VM. This JVM remains started even if we never use the Wiki-Publisher extension.

I suggest that the JVM for Wiki-Publisher extension should be started only when the user explicitly uses this extension.
A workaround could be to remove Wiki-Publisher extension from the default installation. 

I attached a backtrace to locate when and where JNI_CreateJavaVM is called.

Best regards. JBF
Comment 1 Stephan Bergmann 2013-11-04 11:02:15 UTC
Note that this early instantiation of the JVM is due to Unity-integration--specific GtkSalFrame::EnsureDbusMenuSynced (frame 24).  Another platform where Wiki Publisher causes early instantiation of the JVM is Mac OS X, see <http://lists.freedesktop.org/archives/libreoffice/2013-October/056991.html> "Why typing in Writer instantiates the JVM on Mac OS X."
Comment 2 Jean-Baptiste Faure 2013-12-08 08:58:05 UTC
According to comment #1, I think we can say that this bug is confirmed.

Best regards. JBF
Comment 3 QA Administrators 2015-04-19 03:20:06 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2016-09-20 09:24:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920